API
API
Back to appIntroductionAuthenticationQuickstartCore conceptsUploading callsGetting resultsWebhooksPagination and searchErrorsRate limits and billing
Clear all categories (delete entire taxonomy) DELETECreate a category POSTDelete a category DELETEGet category tree with call counts GETMove a category to a new parent or display order PATCHUpdate a category PUT
ReferenceCategories

Create a category

POST/v1/projects/{projectId}/categories

Authorization

ApiKeyAuth
X-API-Key<token>

Organization API key. Format: X-API-Key: at_live_...

In: header

Path Parameters

projectId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

*/*

curl -X POST "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/categories" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "string",  "taxonomyId": "string",  "name": "string",  "description": "string",  "parentId": "string",  "displayOrder": 0,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}

Clear all categories (delete entire taxonomy) DELETE

Previous Page

Delete a category DELETE

Next Page

name*string
description?string
parentId?string
Formatuuid
displayOrder?integer
Formatint32